## org.firebirdsql.gds.impl.jni
Class NativeGDSImpl

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractGDS
          org.firebirdsql.gds.impl.jni.BaseGDSImpl
              org.firebirdsql.gds.impl.jni.JniGDSImpl
                  org.firebirdsql.gds.impl.jni.NativeGDSImpl

All Implemented Interfaces:
  Externalizable, Serializable, GDS

    public class NativeGDSImpl

extends JniGDSImpl

See Also:
  Serialized Form

Nested Class Summary
`protected static class` `NativeGDSImpl.DbAttachInfo`

Field Summary
`static String` `NATIVE_TYPE_NAME`

Fields inherited from class org.firebirdsql.gds.impl.jni.JniGDSImpl
`JAYBIRD_JNI_LIBRARY`

Fields inherited from class org.firebirdsql.gds.impl.jni.BaseGDSImpl
`DESCRIBE_DATABASE_INFO_BLOCK, isc_api_handle`

Constructor Summary
`NativeGDSImpl()`
`NativeGDSImpl(GDSType gdsType)`

Method Summary
`protected String` `getServerUrl(String file_name)`

Methods inherited from class org.firebirdsql.gds.impl.jni.JniGDSImpl

`attemptToLoadAClientLibraryFromList, finalize, initJNIBridge, native_isc_attach_database, native_isc_blob_info, native_isc_cancel_events, native_isc_close_blob, native_isc_commit_retaining, native_isc_commit_transaction, native_isc_create_blob2, native_isc_create_database, native_isc_database_info, native_isc_detach_database, native_isc_drop_database, native_isc_dsql_alloc_statement2, native_isc_dsql_allocate_statement, native_isc_dsql_describe_bind, native_isc_dsql_describe, native_isc_dsql_exec_immed2, native_isc_dsql_execute2, native_isc_dsql_fetch, native_isc_dsql_free_statement, native_isc_dsql_prepare, native_isc_dsql_set_cursor_name, native_isc_dsql_sql_info, native_isc_event_block, native_isc_event_counts, native_isc_finalize, native_isc_get_segment, native_isc_open_blob2, native_isc_prepare_transaction, native_isc_prepare_transaction2, native_isc_put_segment, native_isc_que_events, native_isc_reconnect_transaction, native_isc_rollback_retaining, native_isc_rollback_transaction, native_isc_seek_blob, native_isc_service_attach, native_isc_service_detach, native_isc_service_query, native_isc_service_start, native_isc_start_transaction, native_isc_transaction_info, nativeInitilize`

Methods inherited from class org.firebirdsql.gds.impl.jni.BaseGDSImpl

`createBlobParameterBuffer, createDatabaseParameterBuffer, createEventHandle, createIscBlobHandle, createIscDbHandle, createIscStmtHandle, createIscSvcHandle, createIscTrHandle, createServiceParameterBuffer, createServiceRequestBuffer, getByteArrayForString, getSqlCounts, getZeroTerminatedArray, iscAttachDatabase, iscBlobInfo, iscCancelEvents, iscCloseBlob, iscCommitRetaining, iscCommitTransaction, iscCreateBlob2, iscCreateDatabase, iscDatabaseInfo, iscDetachDatabase, iscDropDatabase, iscDsqlAllocateStatement, iscDsqlDescribe, iscDsqlDescribeBind, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecute, iscDsqlExecute2, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlFetch, iscDsqlFreeStatement, iscDsqlPrepare, iscDsqlPrepare, iscDsqlPrepare, iscDsqlSetCursorName, iscDsqlSqlInfo, iscEventBlock, iscEventCounts, iscExpandDpb, iscGetSegment, iscOpenBlob2, iscPrepareTransaction, iscPrepareTransaction2, iscPutSegment, iscQueueEvents, iscReconnectTransaction, iscRollbackRetaining, iscRollbackTransaction, iscSeekBlob, iscServiceAttach, iscServiceDetach, iscServiceQuery, iscServiceStart, iscStartTransaction, iscTransactionInformation, iscVaxInteger, iscVaxInteger2, newTransactionParameterBuffer, readSQLData`

Methods inherited from class org.firebirdsql.gds.impl.AbstractGDS
`close, getGdsType, getType, readExternal, readResolve, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NATIVE_TYPE_NAME

    public static final String NATIVE_TYPE_NAME

See Also:
  Constant Field Values

Constructor Detail

### NativeGDSImpl

    public NativeGDSImpl()

### NativeGDSImpl

    public NativeGDSImpl(GDSType gdsType)

Method Detail

### getServerUrl

    protected String getServerUrl(String file_name)
                           throws GDSException

  Specified by:
    `getServerUrl` in class `BaseGDSImpl`
  Throws:
    `GDSException`

Copyright © 2001-2010. All Rights Reserved.